Skip to main content
`Ctrl`+`K`

# TaoLineSearch

PETSc object that manages line searches for the `Tao` optimization solves

## Synopsis

    typedef struct _p_TaoLineSearch *TaoLineSearch;

## See Also

TAO: Optimization Solvers, `TaoLineSearchType`, `Tao`, `TaoCreate()`, `TaoDestroy()`, `TaoSetType()`, `TaoType`

## Level

intermediate

## Location

include/petsctaolinesearch.h

## Implementations

_p_TaoLineSearch in include/petsc/private/taolinesearchimpl.h
TaoLineSearch_ARMIJO in src/tao/linesearch/impls/armijo/armijo.h
TaoLineSearch_GPCG in src/tao/linesearch/impls/gpcglinesearch/gpcglinesearch.h
TaoLineSearch_MT in src/tao/linesearch/impls/morethuente/morethuente.h
TaoLineSearch_OWARMIJO in src/tao/linesearch/impls/owarmijo/owarmijo.h

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages